# Obfuscator

This module was created to hide information that can expose vulnerabilities:

- Drupal version removed from HTML and HTTP response headers
- Assets version removed from HTML
- Disable the TRACE and TRACK methods in Apache

In the .htaccess file, enter the following code if it is not present:

```
# 403 For Development confguration fle
RedirectMatch 403 ^/themes/custom/<THEME_NAME>/gulpfile.js$
RedirectMatch 403 ^/themes/custom/<THEME_NAME>/package.json$

# Disable method TRACE and TRACK method - Http methods
RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
RewriteRule .* - [F]
```

In the Apache configuration set `ServerTokens` to `Prod`.
In the Wodby wodby/apache image simply set the `APACHE_SERVER_TOKENS` to `Prod`.
This removes the Apache version and extensions details from the
`Server` HTTP response header.

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/obfuscator).

## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Enable the module at Administration > Extend.
2. Navigate to the configuration page for the Obfuscator Drupal module.
   `Configuration > Development -> Obfuscator settings`

   Here you can select which assets you want to hide the drupal version for.
   Select what you want and click on save configuration

## Maintainers
- Marchese Simone - [simone-marchese](https://www.drupal.org/u/smarchese)
- Luca lusso - [lussoluca](https://www.drupal.org/u/lussoluca)
